PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | List of all members
PThread::LocalStorageBase Class Referenceabstract

Thread local storage base class, see PThreadLocalStorage for template. More...

`#include <thread.h>`

Inheritance diagram for PThread::LocalStorageBase:
[legend]

## Public Member Functions
virtual | ~LocalStorageBase ()

## Protected Member Functions
| LocalStorageBase ()
void | StorageDestroyed ()
virtual void * | Allocate () const =0
virtual void | Deallocate (void *ptr) const =0
virtual void * | GetStorage () const

## Detailed Description

Thread local storage base class, see PThreadLocalStorage for template.

## Constructor & Destructor Documentation

virtual PThread::LocalStorageBase::~LocalStorageBase | ( |  | ) |
| inline virtual

PThread::LocalStorageBase::LocalStorageBase | ( |  | ) |
| inline protected

## Member Function Documentation

virtual void* PThread::LocalStorageBase::Allocate | ( |  | ) | const
| protected pure virtual

Implemented in PThreadLocalStorage< Storage_T >.

virtual void PThread::LocalStorageBase::Deallocate | ( | void * | ptr | ) | const
| protected pure virtual

Implemented in PThreadLocalStorage< Storage_T >.

virtual void* PThread::LocalStorageBase::GetStorage | ( |  | ) | const
| protected virtual

Referenced by PThreadLocalStorage< Storage_T >::Get(), PThreadLocalStorage< Storage_T >::operator Ptr_T(), PThreadLocalStorage< Storage_T >::operator*(), and PThreadLocalStorage< Storage_T >::operator->().

void PThread::LocalStorageBase::StorageDestroyed | ( |  | ) |
| protected

Referenced by PThreadLocalStorage< Storage_T >::~PThreadLocalStorage().

The documentation for this class was generated from the following file:

- thread.h